## jxtray.dump
Class JxtDumpContext

    java.lang.Object
      jxtray.dump.JxtDumpContext

public class JxtDumpContext
extends java.lang.Object

Constructor Summary
`JxtDumpContext(java.lang.String filename, DumperListener listener, java.sql.Connection con, java.lang.String lib, java.lang.String table)`

Method Summary
`void` `dump()`
`void` `setCSVDumpStrategy(java.lang.String filename, DumperListener listener, java.sql.Connection con, java.lang.String lib, java.lang.String table, WriterContext writer)`
`void` `setHTMLDumpStrategy(java.lang.String filename, DumperListener listener, java.sql.Connection con, java.lang.String lib, java.lang.String table, WriterContext writer)`
`void` `setSQLDumpStrategy(java.lang.String filename, DumperListener listener, java.sql.Connection con, java.lang.String lib, java.lang.String table, WriterContext writer)`
`void` `setXMLDumpStrategy(java.lang.String filename, DumperListener listener, java.sql.Connection con, java.lang.String lib, java.lang.String table, WriterContext writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JxtDumpContext

    public JxtDumpContext(java.lang.String filename,
                          DumperListener listener,
                          java.sql.Connection con,
                          java.lang.String lib,
                          java.lang.String table)

Method Detail

### setXMLDumpStrategy

    public void setXMLDumpStrategy(java.lang.String filename,
                                   DumperListener listener,
                                   java.sql.Connection con,
                                   java.lang.String lib,
                                   java.lang.String table,
                                   WriterContext writer)

### setCSVDumpStrategy

    public void setCSVDumpStrategy(java.lang.String filename,
                                   DumperListener listener,
                                   java.sql.Connection con,
                                   java.lang.String lib,
                                   java.lang.String table,
                                   WriterContext writer)

### setSQLDumpStrategy

    public void setSQLDumpStrategy(java.lang.String filename,
                                   DumperListener listener,
                                   java.sql.Connection con,
                                   java.lang.String lib,
                                   java.lang.String table,
                                   WriterContext writer)

### setHTMLDumpStrategy

    public void setHTMLDumpStrategy(java.lang.String filename,
                                    DumperListener listener,
                                    java.sql.Connection con,
                                    java.lang.String lib,
                                    java.lang.String table,
                                    WriterContext writer)

### dump

    public void dump()